Bug 816027 - SELinux is preventing /bin/mkdir from 'create' accesses on the directory pm-utils.
SELinux is preventing /bin/mkdir from 'create' accesses on the directory pm-u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d1f9c4d5181e7dac32181506d35...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 01:34 EDT by rex.peralta
Modified: 2012-07-25 23:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rex.peralta 2012-04-25 01:34:43 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.2-6.fc16.x86_64
reason:         SELinux is preventing /bin/mkdir from 'create' accesses on the directory pm-utils.
time:           Tue 24 Apr 2012 11:34:31 PM MDT

description:
:SELinux is preventing /bin/mkdir from 'create' accesses on the directory pm-utils.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mkdir should be allowed create access on the pm-utils directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mkdir /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:apmd_t:s0
:Target Context                system_u:object_r:var_run_t:s0
:Target Objects                pm-utils [ dir ]
:Source                        mkdir
:Source Path                   /bin/mkdir
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           coreutils-8.12-7.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-6.fc16.x86_64 #1
:                              SMP Sat Apr 21 12:43:20 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Tue 24 Apr 2012 10:45:05 PM MDT
:Last Seen                     Tue 24 Apr 2012 11:33:23 PM MDT
:Local ID                      0a7852d8-e397-44a0-b6d7-17901a321d3d
:
:Raw Audit Messages
:type=AVC msg=audit(1335332003.421:95): avc:  denied  { create } for  pid=2962 comm="mkdir" name="pm-utils" scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1335332003.421:95): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fff3b097bc0 a1=1c0 a2=7fff3b095a90 a3=a items=0 ppid=2953 pid=2962 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=mkdir exe=/bin/mkdir subj=system_u:system_r:apmd_t:s0 key=(null)
:
:Hash: mkdir,apmd_t,var_run_t,dir,create
:
:audit2allow
:
:#============= apmd_t ==============
:allow apmd_t var_run_t:dir create;
:
:audit2allow -R
:
:#============= apmd_t ==============
:allow apmd_t var_run_t:dir create;
:
Comment 1 Daniel Walsh 2012-04-26 09:57:32 EDT
Mgrepl 844ce0c5ec6b2baaa7c16496abd8eab58b77a896 fixes this in F17.
Comment 2 Miroslav Grepl 2012-06-22 09:16:52 EDT
Fixed in selinux-policy-3.10.0-90.fc16.noarch
Comment 3 Fedora Update System 2012-07-02 04:47:52 EDT
selinux-policy-3.10.0-90.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-90.fc16
Comment 4 Fedora Update System 2012-07-03 11:49:43 EDT
Package selinux-policy-3.10.0-90.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-90.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10203/selinux-policy-3.10.0-90.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-25 23:53:16 EDT
selinux-policy-3.10.0-90.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.